Search the Community

Search Filters


 Search Filters

Content tagged 'php'

Found 4 results


Search Results

  1. Bonjour Simon, 
    comment allez-vous ? j'ai de gros soucis avec peel 7 et 8 et PHP 7 sur mes serveurs mutualisés - Joomla me réclame du PHP 7.0 ou 7.1 mais Peel 7 et 8 ne les supportent pas ou buggent ... la version 9 est-elle compatible ? Si oui est-ce qu'une migration des sites vers la 9 fera encore tourner les modules premium et paybox des versions précédentes ? 
    Merci d'avance pour une solution
  2. Bonjour à tous, bonjour Simon, j'ai un soucis sur mes attributs en texte libre, je les ai passé en obligatoires mais lorsque je clique sur le bouton "ajouter au panier" sans remplir les champs (ce que va faire le bon tiers des utilisateurs) j'ai ce message : 
    Notice: Undefined index: session_display_popup in /home4/jamescq7/public_html/timesup.nc/boutiq/achat/caddie_ajout.php on line 123 Notice: Undefined index: error_text in /home4/jamescq7/public_html/timesup.nc/boutiq/achat/caddie_ajout.php on line 123 Warning: Cannot modify header information - headers already sent by (output started at /home4/jamescq7/public_html/timesup.nc/boutiq/achat/caddie_ajout.php:123) in /home4/jamescq7/public_html/timesup.nc/boutiq/lib/fonctions/fonctions.php on line 1556 Warning: Cannot modify header information - headers already sent by (output started at /home4/jamescq7/public_html/timesup.nc/boutiq/achat/caddie_ajout.php:123) in /home4/jamescq7/public_html/timesup.nc/boutiq/lib/fonctions/fonctions.php on line 1560et si je reviens en arrière sur le navigateur ça m'affiche le message normal en pop up "champ 1. Préciser les nom et prénom de l'élève obligatoire champ 2. Préciser la date de livraison du plat obligatoire". J'ai essayé d'apporter les modifs de ce post : https://forum.peel.fr/topic/10513-attributs-produits-obligatoires/#comment-35969 mais sans succès, rien ne change. Pour précisions, le domaine est en https je ne sais pas si cette info entre en jeux, merci d'avance pour vos réponses. 
  3. Bonjour
    la version php 5.6 est elle compatible avec la la 7.1.4
    merci
  4. Bonjour à la communauté Peel,
     
    Je souhaiterais ajouter à un boutique Peel v7 un script permettant de changer l'image du fond de la page, en fonction des saisons.
     
    N'étant pas du tout familier avec le code des fichiers TPL et l'architecture des versions récentes de Peel, je ne sais pas où placer mon code...
     
    Dans une simple page .php, le code est le suivant :
    <?php $heure = array('jour', 'nuit'); $saison = array('hiver', 'printemps', 'ete', 'automne'); $heure = date('G'); // nuit de 19h à 6h if($heure > 7 && $heure < 20) { $img = 'jour' ; } else { $img = 'nuit' ; } $saison = date('n'); // de decembre à mars if($saison > 11 && $saison < 2) { $img .= '_hiver' ; // de mars à juin } elseif($saison > 2 && $saison < 5) { $img .= '_printemps' ; // de juin à septembre } elseif($saison > 5 && $saison < 8) { $img .= '_ete' ; // de septembre à decembre } else { $img .= '_automne' ; } ?> <!DOCTYPE HTML> <html> <head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8" /> </head> <body background="<?php echo $img ; ?>.jpg" style="background-repeat:no-repeat;"> </body> </html> Ce qui donne : http://www.bataillon.fr/prod
     
    Quelqu'un pourrait il m'aider à intégrer ceci dans Peel ?
     
    Merci par avance !
     
    Mickael

Twitter Advisto ecommerce

Facebook PEEL Shopping